package new_mobile_api_controllers

import "github.com/astaxie/beego"

// 平板端路由，以 /m/api 为前缀
func NewMobileAPIControllersRegisterRouters() {

	beego.Router("/m/api/patient/getbloodDialysisPatient", &NewDialysisApiController{}, "Get:GetPatient")

	beego.Router("/m/api/islogin", &NewLoginApiController{}, "Get:GetLogin")

	//验证码相关
	beego.Router("/m/api/code", &NewLoginApiController{}, "Get:GetCodeInit")
	beego.Router("/m/api/getcode", &NewLoginApiController{}, "Get:GetCode")

	//免密码登录
	beego.Router("/m/api/login/cs", &NewLoginApiController{}, "post:LoginByCs")

	//忘记密码
	beego.Router("/m/api/password/commit", &ForgetPwdController{}, "post:ModifyPassword")

	//注册
	beego.Router("/m/api/register/commit", &MobileRegistController{}, "post:RegistSubmit")
	beego.Router("/m/api/register/setname", &MobileRegistController{}, "post:ModifyName")

	beego.Router("/m/api/register/login", &MobileRegistController{}, "post:Login")

	beego.Router("/m/api/org/create", &MobileRegistController{}, "post:CreateOrg")

}
